/**
 * /*Styling for Tile Banner
 *
 * @format
 */

 .tile {
    height: 240px;
    width: 100%;
    background: #f1f1f1;
    box-shadow: 0px 1.5px 3px rgba(0, 0, 0, 0.15);
  }
  
  .tileBackground {
    position: absolute;
    object-fit: cover;
    max-width: 100%;
    width: 100%;
    height: 100%;
    border-radius: 4px;
  }
  
  .tileBackgroundOnHover {
    position: absolute;
    object-fit: cover;
    max-width: 100%;
    width: 100%;
    height: 100%;
    border-radius: 4px;
    overflow: hidden;
    transition: transform 0.5s ease;
    filter: blur(2px);
  }
  
  .tileBackground + .tileContent {
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)),
      rgba(16, 115, 134, 0.1);
    width: 100%;
    height: 100%;
    border-radius: 4px;
  }
  
  .tileBackgroundOnHover + .tileContentOnHover:hover {
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)),
      rgba(16, 115, 134, 0.1);
    width: 100%;
    height: 100%;
    border-radius: 4px;
    background-color: rgba(0, 0, 0, 0.4);
    display: flex;
    align-items: center;
    justify-content: center;
  }
  
  .tileContent {
    position: absolute;
    transition: background-color 0.3s ease-out;
  }
  
  .tileContentOnHover {
    position: absolute;
    display: flex;
    flex-direction: column;
    transition: background-color 0.3s ease-out;
    /*TODO: Remove if button exists */
    justify-content: center;
  }
  
  .tileContent h1 {
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    line-height: 28px;
    color: #ffffff;
    text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.5);
    text-align: center;
    padding-top: 100px;
  }
  
  .tileContentOnHover h1 {
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    line-height: 28px;
    color: #ffffff;
    text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.5);
    text-align: center;
    /* TODO: uncomment below if button exists */
    /* padding-top: 25px; */
  }
  
  .tileContentOnHover p {
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 26px;
    text-align: center;
    color: #ffffff;
    text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.5);
    padding: 0 20px;
  }
  
  .tileBackgroundOnHover + .tileContentOnHover {
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)),
      rgba(16, 115, 134, 0.1);
    width: 100%;
    height: 100%;
    border-radius: 4px;
    background-color: rgba(0, 0, 0, 0.7);
  }
  
  /*Stylings for mobile tile banner*/
  
  .mobileTile {
    height: 200px;
    width: 100%;
  }
  
  .mobileTileBackground {
    position: absolute;
    object-fit: cover;
    max-width: 100%;
    width: 100%;
    height: 200px;
    border-radius: 4px;
  }
  
  .mobileTileBackgroundOnClick {
    position: absolute;
    object-fit: cover;
    max-width: 100%;
    width: 100%;
    height: 100%;
    border-radius: 4px;
    overflow: hidden;
    transition: transform 0.5s ease;
    filter: blur(2px);
  }
  
  .mobileTileBackground + .mobileTileContent {
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.1)),
      rgba(16, 115, 134, 0.1);
    width: 100%;
    height: 200px;
    border-radius: 4px;
  }
  
  .mobileTileBackgroundOnClick + .mobileTileContentOnClick {
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)),
      rgba(16, 115, 134, 0.1);
    width: 100%;
    height: 200px;
    border-radius: 4px;
  }
  
  .mobileTileContent {
    position: absolute;
    transition: background-color 0.3s ease-out;
  }
  
  .mobileTileContentOnClick {
    position: absolute;
    display: flex;
    flex-direction: column;
    transition: background-color 0.3s ease-out;
    /*TODO: Remove if button exists */
    justify-content: center;
  }
  
  .mobileTileContent h1 {
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    line-height: 28px;
    color: #ffffff;
    text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.5);
    text-align: center;
    padding-top: 80px;
  }
  
  .mobileTileContentOnClick h1 {
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    line-height: 28px;
    color: #ffffff;
    text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.5);
    text-align: center;
    padding-top: 25px;
  }
  
  .mobileTileContentOnClick p {
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 16px;
    text-align: center;
    color: #ffffff;
    text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.5);
    padding: 0 20px;
  }
  
  .mobileTileBackgroundOnClick + .mobileTileContentOnClick {
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)),
      rgba(16, 115, 134, 0.1);
    width: 100%;
    height: 200px;
    border-radius: 4px;
    background-color: rgba(0, 0, 0, 0.7);
  }
  
  /*Stylings for main carousel*/
  
  .slide {
    position: relative;
    height: 360px;
  
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
  
    width: 100%;
  
    border-radius: 4px;
  }
  
  .carouselImage {
    height: 150px;
    margin-bottom: 10px;
  }
  
  .carouselImage > img {
    height: 150px;
    width: 100%;
    padding-left: 10px;
    padding-right: 10px;
    object-fit: cover;
  }
  
  .rectangle {
    width: calc(100%-20px);
    height: 150px;
    margin-left: 10px;
    margin-right: 10px;
    background-color: #244d6f;
  }
  
  .carouselBackground {
    display: flex;
    flex-direction: column;
    max-width: 1320px;
    max-height: 554px;
    width: 100%;
    height: 100%;
    background: #f1f1f1;
    border: 1px solid #dadde1;
    box-shadow: 0px 1.5px 3px rgba(0, 0, 0, 0.15);
    border-radius: 4px;
  }
  
  .carouselBackground:hover {
    display: flex;
    flex-direction: column;
    max-width: 1320px;
    max-height: 554px;
    width: 100%;
    height: 100%;
    background: #f1f1f1;
    border: 1px solid var(--ifm-color-primary);
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.15);
    border-radius: 4px;
  }
  
  .carouselContent > h1 {
    color: var(--ifm-color-primary);
    font-style: normal;
    font-weight: 700;
    font-size: 22px;
    line-height: 26px;
    margin: 10px 0 10px 10px;
  }
  
  .carouselDescription > p {
    color: #000000;
    text-align: justify;
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 26px;
    margin: 0 10px;
    height: 105px;
  }
  
  .entity {
    position: absolute;
    left: calc(100% - 167px);
    top: 48.5%;
  }
  
  /*Stylings for Mobile Carousel*/
  
  .background {
    background: #f1f1f1;
    border-radius: 4px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 24px 16px;
    min-width: 280px;
    height: 519px;
  }
  
  .mobileCarouselContent {
    max-width: 100%;
    color: var(--ifm-color-primary);
    font-weight: 700;
    font-size: 22px;
  }
  
  .mobileCarouselContent > h2 {
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    color: var(--ifm-color-primary);
    font-weight: 700;
    font-size: 20px;
  }
  
  .mobileCarouselImage {
    object-fit: cover;
    max-width: 100%;
    width: 550px;
    height: 200px;
  }
  
  .mobileRectangle {
    object-fit: cover;
    width: 100%;
    height: 200px;
    background-color: #244d6f;
  }
  
  .mobileCarouselDescription > p {
    color: #000000;
    max-width: 100%;
    text-align: justify;
    font-weight: 400;
    font-size: 16px;
    line-height: 26px;
    margin-top: 20px;
    height: 150px;
  }
  
  .entityContainer {
    position: relative;
    width: 100%;
    height: 200px;
  }
  
  .mobileEntity {
    position: absolute;
    bottom: 4%;
    width: 100%;
    text-align: center;
  }
  
  /*Stylings for Spotlight*/
  
  .stats {
    text-align: center;
  }
  
  .stats .staticCardDescription>p {
      line-height: 120%;
  }
  
  .cardContainer,.statsContainer {
    box-sizing: border-box;
    /*display: flex;
    flex-direction: column;*/
    background: #f1f1f1;
    border: 1px solid #dadde1;
    box-shadow: 0px 1.5px 3px rgba(0, 0, 0, 0.15);
    border-radius: 4px;
    max-width: 627px;
    max-height: 360px;
    width: 100%;
    height: 100%;
  }
  
  .cardContainer:hover {
    box-sizing: border-box;
    /*display: flex;
    flex-direction: column;*/
    background: #f1f1f1;
    border: 1px solid var(--ifm-color-primary);
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.15);
    border-radius: 4px;
    max-width: 627px;
    max-height: 360px;
    width: 100%;
    height: 100%;
  }
  
  .cardImage {
    object-fit: cover;
    width: 100%;
    height: 200px;
    padding: 0 12px;
  }
  
  .cardTitle > h2 {
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    color: var(--ifm-color-primary);
    font-style: normal;
    font-weight: 700;
    font-size: 22px;
    line-height: 26px;
    margin: 12px;
  }
  
  .staticCardDescription > p {
    color: #000000;
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 26px;
    margin: 0 12px;
    margin-bottom: 12px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    overflow: hidden;
  }
  
  .staticCardLink:hover {
    text-decoration: none;
  }
  
  @media screen and (max-width: 996px) {
    .cardTitle > h2 {
      font-size: 20px;
    }
  }
  
  /* Stylings for Team Cards */
  
  .card {
    background-color: #f1f1f1;
    border-color: var(--ifm-color-primary);
    height: 260px;
    min-width: 100%;
    border-radius: 4px;
    font-size: 20px;
    scroll-margin-top: 110px;
  }
  
  @media screen and (min-width: 1474px) {
    .card {
      height: 280px;
    }
  }
  
  .card a:hover {
    color: var(--ifm-navbar-link-hover-color);
  }
  
  .card > div > img {
    /* border-radius: 0%; */
    width: auto;
    border: 1px solid var(--ifm-color-primary);
  }
  
  .card h4,
  .card h5 {
    margin: 0;
  }
  
  /* Stylings for Newsletter Cards */
  
  .newsletterCard,
  .policyCard {
    text-align: center;
    border-radius: 4px;
  }
  
  .newsletterCard img {
    height: 205px;
    object-fit: cover;
  }
  
  /* Stylings for Policy Cards */
  
  .policyCard {
    background-color: #f1f1f1;
    border-color: var(--ifm-color-primary);
    align-items: center;
    padding-top: 1em;
  }
  
  /* Stylings for Logo Cards */
  .logoCard {
    background-color: var(--ifm-navbar-background-color);
    padding: 1em;
  }
  
  .frenchLogoCard {
    margin-top: 15px;
  }
  
  /* Styling for Tool Cards */
  
  .functionality-card {
    --functionality-card-height: 250px;
    background-color: #f1f1f1;
    border-color: var(--ifm-color-primary);
    height: 280px;
    border-radius: var(--ifm-card-border-radius);
    box-shadow: var(--ifm-global-shadow-lw);
    display: flex;
    flex-direction: column;
    overflow: hidden;
    position: relative;
  }
  
  .functionality-card > a > .image {
    height: 120px;
    justify-content: center;
    display: flex;
  }
  
  .functionality-card > a >  .image > img {
    max-width: 100%;
    max-height: 100%;
  }
  
  .functionality-card > .body {
    max-height: 130px;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
  }
  
  .functionality-card > .footer {
    max-height: 100px;
    position: absolute;
    bottom: 16px;
  }
  
  .functionality-card {
    padding: 16px;
  }
  
  .functionality-card-buttons {
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 4px 10px;
    gap: 4px;
    width: fit-content;
    height: 27px;
    border: 1px solid rgba(0, 0, 0, 0.2);
    border-radius: 20px;
    color: var(--ifm-color-primary);
    background-color: #f1f1f1;
  }
  
  .functionality-function-button-row {
    margin-top: 11px;
    display: flex;
    flex-wrap: wrap;
    justify-content: left;
    gap: 4px;
  }
  .link-row {
    /* margin-top: 5px; */
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 4px;
  }
  